using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Arena
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            string a = s[0];
            string b = s[1];
            string c = s[2];

            string p1 = a + b + c;
            string p2 = a + c + b;
            string p3 = b + a + c;
            string p4 = b + c + a;
            string p5 = c + a + b;
            string p6 = c + b + a;

            long q1 = int.Parse(p1);
            long q2 = int.Parse(p2);
            long q3 = int.Parse(p3);
            long q4 = int.Parse(p4);
            long q5 = int.Parse(p5);
            long q6 = int.Parse(p6);

            long max1 = Math.Max(q1, q2);
            long max2 = Math.Max(q3, q4);
            long max3 = Math.Max(q5, q6);

            long max4 = Math.Max(max1, max2);
            long max = Math.Max(max4, max3);


            Console.WriteLine(max);

        }
    }
}